Runs
Cancel a run
Requests cancellation and returns the latest durable run state.
Requests cancellation and returns the latest durable run state.
Authorization
bearerAuth AuthorizationBearer <token>
Create an API key in g2b Settings, then send it as a Bearer token.
In: header
Path Parameters
id*string
Length
1 <= length <= 256Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/runs/string/cancel"{ "id": "string", "task_id": "string", "project_id": "string", "message_id": "string", "status": "queued", "attempt": 0, "harness": "string", "model": "string", "reasoning_effort": "string", "sandbox_id": "string", "error": { "code": "string", "message": "string", "detail": "string" }, "usage": { "inputTokens": 0, "outputTokens": 0, "totalTokens": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "terminal": true}{ "error": { "code": "string", "message": "string" }}{ "error": "Unauthorized"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}